import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:my_package2/my_package2.dart';

void main() {
  const MethodChannel channel = MethodChannel('my_package2');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MyPackage2.platformVersion, '42');
  });
}
